<?php
/**
 * The template for displaying the footer.
 */
$mts_options = get_option(MTS_THEME_NAME);

// default = 3
$first_footer_num  = empty($mts_options['mts_first_footer_num']) ? 6 : $mts_options['mts_first_footer_num'];
$second_footer_num = empty($mts_options['mts_second_footer_num']) ? 6 : $mts_options['mts_second_footer_num'];
?>
	</div><!--#page-->
	<footer id="site-footer" role="contentinfo" itemscope itemtype="http://schema.org/WPFooter">
		<?php if ( $mts_options['mts_show_footer_nav'] == '1' ) { ?>
			<nav class="footer-navigation">
				<div class="container">
					<?php if ( has_nav_menu( 'footer-menu' ) ) { ?>
						<?php wp_nav_menu( array( 'theme_location' => 'footer-menu', 'menu_class' => 'menu clearfix', 'container' => '', 'walker' => new mts_menu_walker ) ); ?>
					<?php } ?>
				</div>
			</nav>
		<?php } ?>
		<?php if ($mts_options['mts_first_footer']) : ?>
		<div class="footer-widgets first-footer-widgets widgets-num-<?php echo $first_footer_num; ?>">
			<div class="container">	
				<?php for ( $i = 1; $i <= $first_footer_num; $i++ ) {
					$sidebar = ( $i == 1 ) ? 'footer-first' : 'footer-first-'.$i;
					$class = ( $i == $first_footer_num ) ? 'f-widget last f-widget-'.$i : 'f-widget f-widget-'.$i; ?>
					<div class="<?php echo $class;?>">
						<?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar( $sidebar ) ) : ?><?php endif; ?>
					</div>
				<?php } ?>
			</div>	
		</div><!--.first-footer-widgets-->
		<?php endif; ?>
			
		<?php if ($mts_options['mts_second_footer']) : ?>
		<div class="footer-widgets second-footer-widgets widgets-num-<?php echo $second_footer_num; ?>">
			<div class="container">
				<?php for ( $i = 1; $i <= $second_footer_num; $i++ ) {
					$sidebar = ( $i == 1 ) ? 'footer-second' : 'footer-second-'.$i;
					$class = ( $i == $second_footer_num ) ? 'f-widget last f-widget-'.$i : 'f-widget f-widget-'.$i; ?>
					<div class="<?php echo $class;?>">
						<?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar( $sidebar ) ) : ?><?php endif; ?>
					</div>
				<?php } ?>
			</div>	
		</div><!--.second-footer-widgets-->
		<?php endif; ?>

		<div class="copyrights">
			<div class="container">
				<?php mts_copyrights_credit(); ?>
			</div>
		</div> 
	</footer><!--#site-footer-->
</div><!--.main-container-->
<?php mts_footer(); ?>
<?php wp_footer(); ?>
</body>
</html>