<?php
/**
 * The template for displaying the header.
 *
 * Displays everything from the doctype declaration down to the navigation.
 */
?>
<!DOCTYPE html>
<?php $mts_options = get_option(MTS_THEME_NAME); ?>
<html class="no-js" <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo('charset'); ?>">
	<!-- Always force latest IE rendering engine (even in intranet) & Chrome Frame -->
	<!--[if IE ]>
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<![endif]-->
	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<?php mts_meta(); ?>
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
	<?php wp_head(); ?>
</head>
<body id="blog" <?php body_class('main'); ?>>
	<div class="main-container">
		<header id="site-header" class="clearfix" role="banner" itemscope itemtype="http://schema.org/WPHeader">
			<div id="header">
				<div class="container">
					<div class="logo-wrap">
						<?php if ( $mts_options['mts_logo'] != '' && $mts_logo = wp_get_attachment_image_src( $mts_options['mts_logo'], 'full' ) ) { ?>
							<?php $mts_logo2x = wp_get_attachment_image_src( $mts_options['mts_logo2x'], 'full' ); ?>
							<?php if ( is_front_page() || is_home() || is_404() ) { ?>
								<h1 id="logo" class="image-logo" itemprop="headline">
									<a href="<?php echo esc_url( home_url() ); ?>"><img src="<?php echo esc_url( $mts_logo[0] ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name' ) ); ?>" width="<?php echo esc_attr( $mts_logo[1] ); ?>" height="<?php echo esc_attr( $mts_logo[2] ); ?>"></a>
								</h1><!-- END #logo -->
							<?php } else { ?>
								<h2 id="logo" class="image-logo" itemprop="headline">
									<a href="<?php echo esc_url( home_url() ); ?>">
										<img src="<?php echo esc_url( $mts_logo[0] ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name' ) ); ?>" width="<?php echo esc_attr( $mts_logo[1] ); ?>" height="<?php echo esc_attr( $mts_logo[2] ); ?>"></a>
								</h2><!-- END #logo -->
							<?php } ?>

						<?php } else { ?>

							<?php if ( is_front_page() || is_home() || is_404() ) { ?>
								<h1 id="logo" class="text-logo" itemprop="headline">
									<a href="<?php echo esc_url( home_url() ); ?>"><?php bloginfo( 'name' ); ?></a>
								</h1><!-- END #logo -->
							<?php } else { ?>
								<h2 id="logo" class="text-logo" itemprop="headline">
									<a href="<?php echo esc_url( home_url() ); ?>"><?php bloginfo( 'name' ); ?></a>
								</h2><!-- END #logo -->
							<?php } ?>
						<?php } ?>
					</div>
					<?php if ( $mts_options['mts_call_to_action'] == 1 && !empty( $mts_options['mts_call_to_action_heading']) ) {
						$title = $mts_options['mts_call_to_action_heading'];
						$url   = $mts_options['mts_call_to_action_url']; ?>
						<div class="mts_call_to_action">
							<?php if( !empty($url) ) { ?><a href="<?php echo $url; ?>"><?php } echo $title; if( !empty($url)) { ?></a> <?php } ?> 
						</div>
					<?php } ?>
					<?php if(!empty($mts_options['mts_header_search'])) { ?>
						<div id="search-6" class="widget widget_search">
							<?php get_search_form(); ?>
						</div><!-- END #search-6 -->
		  			<?php } ?>
	  			</div>
			</div><!--#header-->
			<?php if ( $mts_options['mts_sticky_nav'] == '1' ) { ?>
				<div class="clear" id="catcher"></div>
				<div class="navigation-wrap sticky-navigation">
			<?php } else { ?>
				<div class="navigation-wrap">
			<?php } ?>
				<div class="container clearfix">
					<?php if ( $mts_options['mts_show_primary_nav'] == '1' ) { ?>
						<div id="secondary-navigation" role="navigation" itemscope itemtype="http://schema.org/SiteNavigationElement">
							<a href="#" id="pull" class="toggle-mobile-menu"><?php _e('Menu', 'newstoday' ); ?></a>
							<?php if ( has_nav_menu( 'mobile' ) ) { ?>
								<nav class="navigation clearfix">
									<?php if ( has_nav_menu( 'primary-menu' ) ) { ?>
										<?php wp_nav_menu( array( 'theme_location' => 'primary-menu', 'menu_class' => 'menu clearfix', 'container' => '', 'walker' => new mts_menu_walker ) ); ?>
									<?php } else { ?>
										<ul class="menu clearfix">
											<?php wp_list_categories('title_li='); ?>
										</ul>
									<?php } ?>
								</nav>
								<nav class="navigation mobile-only clearfix mobile-menu-wrapper">
									<?php wp_nav_menu( array( 'theme_location' => 'mobile', 'menu_class' => 'menu clearfix', 'container' => '', 'walker' => new mts_menu_walker ) ); ?>
								</nav>
							<?php } else { ?>
								<nav class="navigation clearfix mobile-menu-wrapper">
									<?php if ( has_nav_menu( 'primary-menu' ) ) { ?>
										<?php wp_nav_menu( array( 'theme_location' => 'primary-menu', 'menu_class' => 'menu clearfix', 'container' => '', 'walker' => new mts_menu_walker ) ); ?>
									<?php } else { ?>
										<ul class="menu clearfix">
											<?php wp_list_categories('title_li='); ?>
										</ul>
									<?php } ?>
								</nav>
							<?php } ?>
						</div>
					<?php } ?>
					<?php if ( !empty($mts_options['mts_header_social']) && is_array($mts_options['mts_header_social']) && !empty($mts_options['mts_social_icon_head'])) { ?>
						<div class="header-social">
							<?php foreach( $mts_options['mts_header_social'] as $header_icons ) : ?>
								<?php if( ! empty( $header_icons['mts_header_icon'] ) && isset( $header_icons['mts_header_icon'] ) && ! empty( $header_icons['mts_header_icon_link'] )) : ?>
									<a href="<?php print $header_icons['mts_header_icon_link'] ?>" class="header-<?php print $header_icons['mts_header_icon'] ?>" target="_blank"><span class="fa fa-<?php print $header_icons['mts_header_icon'] ?>"></span></a>
								<?php endif; ?>
							<?php endforeach; ?>
						</div>
					<?php } ?>
				</div> <!-- .container -->
			</div> <!-- Navigation-wrap -->
			<?php if ( $mts_options['mts_breaking_slider'] == '1' ) { ?>
				<div class="breaking-slider-container clearfix loading">
					<div class="container">
						<div class="breaking-heading"><?php _e( 'Breaking News', 'newstoday' ); ?></div>
						<div id="slider" class="breaking-slider">
							<?php // prevent implode error
							if ( empty( $mts_options['mts_breaking_slider_cat'] ) || !is_array( $mts_options['mts_breaking_slider_cat'] ) ) {
								$mts_options['mts_breaking_slider_cat'] = array('0');
							}
							$slider_cat = implode( ",", $mts_options['mts_breaking_slider_cat'] );
							$slider_query = new WP_Query('cat='.$slider_cat.'&posts_per_page='.$mts_options['mts_breaking_slider_num']);
							while ( $slider_query->have_posts() ) : $slider_query->the_post(); ?>
							<div class="breaking-slider-item"> 
								<a href="<?php echo esc_url( get_the_permalink() ); ?>">
									<div class="slide-caption">
										<h2 class="slide-title"><?php the_title(); ?></h2>
										<div class="slide-reading"><?php _e( '<i class="fa fa-arrow-circle-o-right"></i> Read Story', 'newstoday' ); ?></div>
									</div>
								</a> 
							</div>
							<?php endwhile; wp_reset_postdata(); ?>
						</div><!-- .breaking-slider -->
					</div>
				</div><!-- .breaking-slider-container -->
			<?php } ?>
		</header>
		<?php if ( is_active_sidebar( 'widget-header' ) ) { ?>
			<div class="container">
				<?php dynamic_sidebar('widget-header'); ?>
			</div>	
		<?php } ?>
